<?php
namespace BP_Friendship_Restrictions\Core;

// Do not allow direct access over web.
defined( 'ABSPATH' ) || exit;

/**
 * No ops restrictions.
 *
 * Class BPF_Restrictions_Default
 */
class Restrictions_Default {

	/**
	 * Is valid receiver.
	 *
	 * @param int  $user_id user id.
	 * @param int  $friend_id friend user id.
	 * @param bool $is_valid is valid.
	 *
	 * @return bool
	 */
	public function is_valid_sender( $user_id, $friend_id, $is_valid ) {
		return $is_valid;
	}

	/**
	 * Is valid sender?
	 *
	 * @param int  $receiver_id user id.
	 * @param int  $sender_id sender user id.
	 * @param bool $is_valid is valid.
	 *
	 * @return bool
	 */
	public function is_valid_receiver( $receiver_id, $sender_id, $is_valid ) {
		return $is_valid;
	}

	/**
	 * Check if request limit reached.
	 *
	 * @param int  $user_id user id.
	 * @param bool $has_reached has reached limit.
	 *
	 * @return bool
	 */
	public function has_reached_request_threshold( $user_id, $has_reached ) {
		return $has_reached;
	}

	/**
	 * Check if friendship limit reached.
	 *
	 * @param int  $user_id user id.
	 * @param bool $has_reached has reached limit.
	 *
	 * @return bool
	 */
	public function has_reached_friendship_limit( $user_id, $has_reached ) {
		return $has_reached;
	}
}